%define name perl-IPChains
%define realname IPChains
%define version 0.6
%define release 1mdk

Summary: Perl modules to manipulate linux firewall chains.
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.x25.org/%realname-%version.tar.bz2
Patch: %{realname}-perl-pollute.patch.bz2
License: GPL or Artistic
Group: System/Configuration/Networking
URL: http://www.x25.org/ipchains.html
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: perl 
Provides: perl(IPChains) = %{version}

%description
This module acts as an interface to the ipchains(8) userspace utility
by Paul ``Rusty'' Russell (http://www.rustcorp.com/linux/ipchains/).
It attempts to include all the functionality of the original code with
a simplified user interface via Perl. In addition, plans for log
parsing facilities, an integrated interface to ipmasqadm, and possibly
traffic shaping are slated for up and coming versions.

%prep
%setup -q -n %realname-%version
%patch -p1

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -fr $RPM_BUILD_ROOT

make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

# Fix packing list
for packlist in `find $RPM_BUILD_ROOT -name '.packlist'`; do
	mv $packlist $packlist.old
	sed -e "s|$RPM_BUILD_ROOT||g" < $packlist.old > $packlist
	rm -f $packlist.old
done

%clean
rm -fr $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README* Changes
%{perl_vendorlib}/i386-linux/*.pm
%{perl_vendorlib}/i386-linux/auto/%{realname}
%{_mandir}/*/*

%changelog
* Tue Jul 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6-1mdk
- 0.6
- clean spec

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- rebuild

* Wed Oct 11 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.5-1mdk
- first mandrake release
- patch to compile with perl 5.6.0 (perl pollute)
- use of installmandir variables

* Wed Dec 15 1999  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.5-2i]
- Added new Provides: perl semantics.
- Updated automatic file list generation.

* Mon Jul 05 1999  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.5-1i]
- Updated to version 0.5.

* Mon Jul 05 1999  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [0.4-2i]
- Bugfixes.

* Sat May 15 1999  Francis J. Lacoste <francis@iNsu.COM> 
  [0.4-1i]
- Packaged for iNs/linux.

